### Method

# Foundry OnTypeFormatter is_trigger

#### Declaration [src]

    gboolean
    foundry_on_type_formatter_is_trigger (
      FoundryOnTypeFormatter* self,
      FoundryTextDocument* document,
      const FoundryTextIter* iter,
      FoundryModifierType state,
      guint keyval
    )

#### Description

No description available.

#### Parameters

`document`

  Type: `FoundryTextDocument`

  No description available.

  The data is owned by the caller of the method.

`iter`

  Type: `FoundryTextIter`

  No description available.

  The data is owned by the caller of the method.

`state`

  Type: `FoundryModifierType`

  No description available.

`keyval`

  Type: `guint`

  No description available.

#### Return value

Type: `gboolean`

No description available.